The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в окружения GTK2+

17.08.2016 19:29

Доступна очередная версия проекта Qt5Gtk2, в рамках которого развивается плагин для Qt5, обеспечивающий интеграцию с GTK+2.0. Плагин основан на коде, удалённом из состава Qt 5.7. Кроме поддержки стилей, имеется возможность использовать файловые диалоги из GTK+2.0. Код поставляется под лицензией GPLv2+.

Основные изменения относительного оригинального кода из состава Qt 5.6:

  • Обеспечен вызов функций библиотеки GTK+2.0 напрямую, без задействования QLibrary::resolve;
  • Удалена зависимость от GConf;
  • Удалено предупреждение об отсутствующем свойстве GtkRange::activate-slider;
  • Проведена чистка неиспользуемого кода.


  1. Главная ссылка к новости (https://bitbucket.org/trialuse...)
Автор новости: anonymous
Тип: Программы
Ключевые слова: qt, gtk
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (17) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 21:03, 17/08/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    GTK 2? Его всё ещё кто то использует?
     
     
  • 2.2, robux (ok), 21:21, 17/08/2016 [^] [^^] [^^^] [ответить]  
  • +6 +/
    98% прикладных программ используют Gtk2.
    И я, например, на Gtk3 переходить не собираюсь.
     
     
  • 3.12, Аноним (-), 00:10, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Никто всё равно не узнает, перейдёшь ты туда-сюда или нет.


     
     
  • 4.15, anonymous (??), 10:27, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    А кто-то должен узнать?
     
  • 2.6, anonymous (??), 22:50, 17/08/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >GTK 2? Его всё ещё кто то использует?

    Под gtk3 пока ничего нет. А тут хоть от gtk2 темку можно натянуть, чтобы под тем же mate всё более менее едино выглядело.

     
     
  • 3.13, Аноним (-), 02:29, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +/
    А разве mate(гном 2) не переписывают на гтк3 ?
     
     
  • 4.14, anonymous (??), 09:48, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Переписывают. Но в большинстве дистрибутивов есть пока что темы в gtk2-варианте.
     
  • 4.20, Аноним (-), 13:46, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    MATE можно уже собрать с GTK3.
     

  • 1.16, Аноним (-), 10:37, 18/08/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    >Кроме поддержки стилей, имеется возможность использовать файловые диалоги из GTK+2.0.

    Вот бы наоборот если бы. Чтобы Gtk_2/Gtk_3 использовало KDEшные файловые диалоги.

     
     
  • 2.17, Аноним (-), 11:15, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Ишь чаво захотел. Может тебе ещё и Undo в полях ввода сделать?
     
     
  • 3.19, Аноним (-), 12:18, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • –2 +/
    А что в кедах этого нет?
     
  • 2.18, anonymous (??), 11:51, 18/08/2016 [^] [^^] [^^^] [ответить]  
  • +/
    >Вот бы наоборот если бы. Чтобы Gtk_2/Gtk_3 использовало KDEшные файловые диалоги.

    Я не слышал про аналог platform plugin для gtk. Так что скорее всего надо патчить исходники gtk. И вроде даже под третьи кеды был какой-то патч.

     
  • 2.25, Мимомордоврат (?), 11:58, 30/09/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Зачем умышленно переходить на это убожество с неюзабельным автодополнением пути и без Emacs keybindings? GTK+ разрабатывается никсоидами для NIX-систем. Кеды же для латентных шиндузятников, которые хотят винду с крутыми перделками и кастомизацией мышкой из коробки (ставить-то ещё что-то лень), отчего диалог по UI/UX почти копирует виндовый. А ещё кичатся отдельной колонкой для каких-то шиндузятных/досовских расширений, которые суть просто суффикс в имени файла. Давайте тогда по _ имя дробить и по отдельным колонкам распихивать, агась?
     

  • 1.21, Аноним (-), 21:50, 18/08/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Одобряю. Хотя мало где эта либа может пригодиться: как никак, приложения на Qt достаточно редки, если сравнивать с божественным GTK+.
     
     
  • 2.22, Led (ok), 00:20, 19/08/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > божественным GTK+.

    т.е. мифическим, сказочным, несуществующим?

     

  • 1.23, Аноним (-), 10:04, 21/08/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Qt5 и GTK2. Qt5 версии >= 5.7.0. Для кого это?
     
     
  • 2.24, anonymous (??), 10:30, 21/08/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    кдешник?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру